<template>
  <a
    class="has-text-link"
    @click="open"
    >{{ row["payment_status__code"] }}</a
  >
</template>
<script setup>
const { $store } = useNuxtApp();
const emit = defineEmits(["clickevent"]);
const props = defineProps({
  row: Object,
  api: String,
  pagename: String,
});
function open() {
  emit("clickevent", {
    name: "dataevent",
    data: {
      modal: {
        title: $store.lang === "en" ? "Payment status" : "Trạng thái thanh toán",
        height: "300px",
        width: "600px",
        component: "application/CommPayment",
        vbind: { row: props.row, api: props.api, pagename: "pagedata5" },
      },
    },
  });
}
</script>
